<!DOCTYPE html>
<html lang="ru">
  <head>
    <meta name="viewport" content="width=device-width, initial-scale=1"> <!-- bulma -->
    <script src="https://ajax.googleapis.com/ajax/libs/angularjs/1.6.4/angular.min.js"></script>
    <!-- <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/bulma/0.6.2/css/bulma.min.css"> -->
    <script defer src="https://use.fontawesome.com/releases/v5.0.0/js/all.js"></script>
    <script src="angular/components/ng-file-upload/ng-file-upload-all.js"></script>
    <script src="angular/translator.js"></script>
    <title>PD2AF - a conversion tool for SBGN diagrams</title>
<meta charset="utf-8">
<link rel="stylesheet" href="styles/common.css">
<link href="https://fonts.googleapis.com/css?family=Merriweather+Sans:400,800" rel="stylesheet">

    <link rel="stylesheet" href="styles/translator.css">
  </head>
  <body>
    <div class="page_container">
      <header>
  <div class="logo">
    <img src="img/pd2af_logo.png" alt="pd2af logo" />
  </div>
  <nav>
    <a href="index.html" >Start</a><a href="specification.html" >Specification</a><a href="cases.html" >Cases</a><a href="translator.html" class="current_page_nav">Try it!</a>
  </nav>
</header>

      <form ng-app="translator" ng-controller="AppController" ng-init="current_file='Select file'" name="form">
        <section class="section">
          <h1>PD > AF</h1>
          <p>Translate SBGN diagrams from Process Description to Activity Flow. Please, upload file in XML format.</p>
          <div class="box">
            <div class="buttons">
                <a ng-class="['button', translate_button? 'selected' : 'action']" ngf-select="refresh_filename($file)" ng-model="file" name="file">[[file_selector_button_text]]</a>
                <a class="button action ng-hide" ng-show="translate_button" ng-click="submit()">Convert</a>
            </div>
          </div>
          <div ng-show="error" class="box ng-hide error">
            <h2>Translation error</h2>
            <span>[[error_message]]</span>
            <div class="box"><a class="button reset" ng-click="reset()">Reset</a></div>
          </div>
          <!-- <div ngshow="calculation_img"><img src="img/loading.gif" /></div> -->
          <div ng-show="download_button" class="box ng-hide">
            <table class="results_table">
              <tbody>
                <tr>
                  <td><p>Open result as AF SBGN file:</p></td>
                  <td><a href="/generated/[[af_filename]]">[[af_filename]]</a></td>
                </tr>
                <tr>
                  <td><p>Open result in Newt Editor:</p></td>
                  <td><a href="http://web.newteditor.org/?URL=[[af_fileurl]]" target="_blank"><img width="60" src="http://web.newteditor.org/app/img/newt-logo.png" /></a></td>
                </tr>
                <tr><td class="c" colspan="2"><div><a class="button reset" ng-click="reset()">Reset</a></div></td></tr>
              </tbody>
            </table>
          </div>
          <div class="placeholder"></div>
        </section>
      </form>
      <footer>
  <div>Page generated <b>30.07.2019</b></div>
</footer>

      <!-- Yandex.Metrika counter -->
<script type="text/javascript" >
   (function(m,e,t,r,i,k,a){m[i]=m[i]||function(){(m[i].a=m[i].a||[]).push(arguments)};
   m[i].l=1*new Date();k=e.createElement(t),a=e.getElementsByTagName(t)[0],k.async=1,k.src=r,a.parentNode.insertBefore(k,a)})
   (window, document, "script", "https://mc.yandex.ru/metrika/tag.js", "ym");

   ym(52309366, "init", {
        id:52309366,
        clickmap:true,
        trackLinks:true,
        accurateTrackBounce:true,
        webvisor:true
   });
</script>
<noscript><div><img src="https://mc.yandex.ru/watch/52309366" style="position:absolute; left:-9999px;" alt="" /></div></noscript>
<!-- /Yandex.Metrika counter -->

    </div>
  </body>
</html>
